#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-Variable-Magic
Version		:	0.62
Release		:	16.2.0.rel%{?dist}
Summary		:	Associate user-defined magic to variables from Perl.

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Variable::Magic

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl
#-----------------------------------------------------------------------------
%description
Magic is Perl's way of enhancing variables. This mechanism
lets the user add extra data to any variable and hook syntactical
operations (such as access, assignment or destruction) that
can be applied to it. With this module, you can add your own magic
to any variable without having to write a single line of XS.

You'll realize that these magic variables look a lot like tied
variables. It is not surprising, as tied variables are implemented
as a special kind of magic, just like any 'irregular' Perl variable
: scalars like $!, $( or $^W, the %ENV and %SIG hashes, the @ISA
array, vec() and substr() lvalues, threads::shared variables...
They all share the same underlying C API, and this module gives
you direct access to it.

#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\
	NO_PACKLIST=1						\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

#fix permission
find %{buildroot}%{_libdir}/perl5/%{perlvers}			\
	 -type f -name *.so -exec chmod +w {} ';'

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README
%{_libdir}/perl5/%{perlvers}/core_perl/Variable/Magic.pm
%{_libdir}/perl5/%{perlvers}/core_perl/auto/Variable/Magic/Magic.so
%{_mandir}/man3/Variable::Magic.3.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog

